"use strict";
class Figure {
    constructor() {
        this.area = 0;
        this.figure = "figure";
    }
}
class Rectangle extends Figure {
    constructor(height, lenght) {
        super();
        this.figure = "Rectangle";
        this.height = height;
        this.lenght = lenght;
    }
    calculateArea() {
        this.area = this.height * this.lenght;
    }
}
class Triangle extends Figure {
    constructor(height, baseline) {
        super();
        this.figure = "Triangle";
        this.height = height;
        this.baseline = baseline;
    }
    calculateArea() {
        this.area = (this.height * this.baseline) / 2;
    }
}
class Cerlce extends Figure {
    constructor(radius) {
        super();
        this.figure = "Cercle";
        this.radius = radius;
    }
    calculateArea() {
        this.area = Math.PI * Math.sqrt(this.radius);
    }
}
const Figures = [new Rectangle(20, 30),
    new Triangle(40, 60),
    new Cerlce(40)];
const printFigures = (arr) => {
    arr.forEach(figure => {
        figure.calculateArea();
        console.log(`Area of ${figure.figure}:`, figure.area);
    });
};
printFigures(Figures);
